// gnome.xonotic.in.ua

models/mapobjects/multiplant/bannanaleaf
{
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/multiplant/bannanaleaf.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

models/mapobjects/multiplant/batleaf
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/batleaf.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/batleaf2
{
	surfaceparm alphashadow
	cull none
	deformvertexes wave 100 sin 3 5 .1 0.1
	{
		map models/mapobjects/multiplant/batleaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map models/mapobjects/multiplant/batleaf2veins.tga
		blendfunc blend
		rgbgen wave sin 0 1 0 .33
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/leaf1
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/leaf1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/leaf2
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/leaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/leaf3
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/leaf3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/pleaf1
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/pleaf1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/pleaf2
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/pleaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/pleaf3
{
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/multiplant/pleaf3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/tree2/branch2
{
	surfaceparm trans
	deformvertexes wave 100 sin 0 .1 0 .2
	surfaceparm nomarks
	cull none
	sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/ar_dm_rt/lillies
{
	qer_editorimage textures/ar_dm_rt/lillies.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/ar_dm_rt/lillies.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/concfloor_rain
{
	tesssize 32
	deformvertexes normal 1 15
	{
		map textures/base_floor/concfloor_rain.tga
		rgbgen identity
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		rgbgen wave sin .3 0 0 0
		tcmod scale 2 2
		tcmod scroll .5 .5
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_trim/wires01
{
	cull disable
	surfaceparm alphashadow
	deformvertexes autosprite2
	surfaceparm trans
	{
		map textures/base_trim/wires01.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/fog_timctf1
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .729 .729 .780 ) 464
}

textures/skies/hellsky
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.05 0
		tcmod scale 2 2
		depthwrite
	}
}

